Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.

ketxu

Moderator
  • Số lượng nội dung

    5.538
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    268

Cộng đồng

2.652 (tuyệt vời)

1 Người theo dõi

About ketxu

  • Cấp bậc
    Copier - Paster - Editor

Phương pháp liên hệ

  • Địa chỉ Trang web:
    http://ks.stung@gmail.com
  • ICQ
    0

Thông tin hồ sơ

  • Giới tính
    Male

Khách truy cập Tiểu sử gần đây

83.517 chế độ xem tiểu sử}
  1. [Share]Đánh cos cao độ tự động

    Bạn tạo một lisp với nội dung là : (defun c:Lệnh_của_bạn()(c:dccd))
  2. Tìm người viết lisp theo yêu cầu

    0989 728 788 bạn nhé :)
  3. Lệnh offset tự động trong lisp?

    Bạn đã giải quyết được vấn đề chưa ? Dislike là không thích, chứ không ghét. Không thích vì cách đặt vấn đề của bạn. Trong quá trình làm việc, giao tiếp với mọi người, cách đặt vấn đề / câu hỏi là quan trọng nhất. Còn đọc câu hỏi của bạn xong không ai hiều gì, muốn hiểu lại phải hỏi lại, hỏi lại rồi bạn lại trả lời, rồi lại hỏi... Kết quả là loẵng topic, loạn diễn đàn, thông tin cần thiết bị lẫn lộn Bạn có hiểu cảm giác những người muốn giúp bạn lại phải ngồi chờ phản hồi từng chút một để rõ hơn vấn đề k :) Mình đã thấy rồi ^^ Tại theme trắng nên nhìn k rõ
  4. Giá trị kích thước

    Bạn cần phải đi học một khóa Autocad cơ bản gấp thôi ^^ To hay nhỏ là do góc nhìn, khoảng cách nhìn (zoom) của bạn đến vật thể, chứ số đã nhập vào thì đương nhiên là số đó :D
  5. Tìm người viết lisp theo yêu cầu

    Bạn rảnh thì tối qua trung tâm mình ngồi trà đá, biết đâu lại hợp tác đc, mình thích các ý tưởng tự động hóa :) 1104B Chung cư Licogi13 164 Khuất Duy Tiến - Thanh Xuân, HN
  6. [Help] Nhờ sửa file lisp insert block

    Là vầy :) (defun c:isb()(command ".-insert" "Ten block" pause 1 1 pause))
  7. Lệnh offset tự động trong lisp?

    Dislike :)
  8. [yêu cầu] lisp gán giá trị khoảng cách cho attribute

    À, tại ketxu code trực tiếp trên nền web lúc reply, nên đánh sai vị trí dấu ). Nó là như vầy ^^ (defun c:foo(/ s e) (setvar 'dimzin 8) (setq s (rtos (distance (setq p1 (getpoint "\nP1 :")) (getpoint p1 "\nP2 :")) 2 2)) (while (setq e (nentsel "\nPick Att :")) (vla-put-textstring (vlax-ename->vla-object (car e)) s)) )
  9. Góp ý cho lần nâng cấp CADViet tháng 9/2017

    Mà e thấy mât dislike rồi hay sao a H nhỉ :(
  10. [yêu cầu] lisp gán giá trị khoảng cách cho attribute

    Lúc đầu đâu có nói rõ ^^ (defun c:foo(/ s e) (setvar 'dimzin 8) (setq s (rtos (distance (setq p1 (getpoint "\nP1 :")) (getpoint p1 "\nP2 :"))) 2 2) (while (setq e (nentsel "\nPick Att :")) (vla-put-textstring (vlax-ename->vla-object (car e)) s)) )
  11. Góp ý cho lần nâng cấp CADViet tháng 9/2017

    Theme này nhìn k yêu tí nào a ạ ^^
  12. Lisp chọn tất cả các đối tượng thuộc 1 layer !

    Không bạn :) Vì bạn phải biết bạn định chọn đối tượng nào, mới có định nghĩa GÓC QUAY bạn định nói đến :)
  13. [yêu cầu] lisp gán giá trị khoảng cách cho attribute

    Quick code, không bẫy lỗi cho bạn. Cứ cái j chỉnh được là nó chỉnh (Kể cả Text trong Dim, text trong Block, Att ... - Nhớ Regen nếu chưa thấy cập nhật ^^) (defun c:foo(/ s e) (setq s (vl-princ-to-string (distance (setq p1 (getpoint "\nP1 :")) (getpoint p1 "\nP2 :")))) (while (setq e (nentsel "\nPick Att :")) (vla-put-textstring (vlax-ename->vla-object (car e)) s)) )
  14. [Share]Đánh cos cao độ tự động

    Thấy mấy bài gần đây về đánh cos cao độ, ket lục lại đống lisp cũ thấy đã viết 1 cái hơn 2 năm rồi vẫn để không, share bạn nào thấy phù hợp thì dùng nhé - Cách làm thì cũng đơn giản : + Tự tạo ký hiệu cos của các bạn, bằng các nét vẽ + text cũng được, bằng block thuộc tính cũng được + Ap để load lisp DCCD.vlx + Sử dụng lệnh DCCD (đánh cos cao độ ^^) + Thiết đặt : * Chênh giá trị tính theo trục X, Y hay khoảng cách giữa 2 cụm cos * Tỉ lệ : điền mẫu số của tỉ lệ thôi nhé. Có nghĩa là chênh sẽ chia cho giá trị này * Số số thập phân đằng sau dấu , * Chuỗi ký hiệu dương, âm , 0 Trong chuỗi này ký tự %i sẽ là giá trị số. Các chữ còn lại là tiền tố hay hậu tố tùy các bác, nó tự thêm vào + Đặt xong thì Enter 1 cái, các giá trị trên đương nhiên được lưu lại + Chọn đám ký hiệu cao độ, pick điểm đặt và điểm tới như lệnh copy ý, rồi cảm nhận ạ :) - Lưu ý hạn chế : + Ket lấy text, att đầu tiên trong tập chọn để xử lý cho nhanh. K viết hàm tìm text giá trị số, nên tiện nhất ký hiệu nên có 1 text thôi, đỡ bị nhầm + Ket k viết code strip mã Mtext, nên nếu làm ký tự cos thì nên làm bằng Dtext hoặc Att Single Line + Code loằm khoằm nên ket đóng mã lại. Các bác dùng thử và ý kiến thêm bớt, hợp lý ket lại thêm vô, hoặc bác nào phát triển tiếp + debug thì pm ket gửi code Thân ái ^^ Video : http://youtu.be/yTeI0-7agZY File V1.0 : http://www.cadviet.com/upfiles/3/24067_dccd.rar File V2.0 : cho phép tăng 1 text hoặc toàn bộ https://www.mediafire.com/?f6zwgxk8x61e2li
×